<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  name: 'HeaderAndText',
  props: {
    data: {
      type: Object,
      required: true,
      default: null,
    },
  },
});
</script>

<template>
  <section
    :id="data.id"
    class="header-and-text slp-mt-48"
    :data-aos="data.aos_animation"
    :data-aos-duration="data.aos_duration"
  >
    <SlpContainer>
      <SlpRow>
        <SlpColumn>
          <SlpTypography
            v-if="data.title"
            class="header"
            tag="h2"
            variant="heading2-bold"
            >{{ data.title }}</SlpTypography
          >
          <SlpHorizontalRule />
          <div
            class="slp-mt-48 subtitle"
            v-html="$md.render(data.subtitle)"
          ></div>
        </SlpColumn>
      </SlpRow>
    </SlpContainer>
  </section>
</template>

<style lang="scss" scoped>
.subtitle {
  &:deep(h1) {
    font-size: $text-heading-3;
    line-height: $line-height-heading-3;
    font-weight: $font-weight-bold;
    letter-spacing: $letter-spacing-heading-3-bold;
    margin-bottom: 24px;
    margin-top: 24px;
    @media (max-width: $breakpoint-sm) {
      font-size: $text-heading-3-mobile;
      line-height: $line-height-heading-3-mobile;
      font-weight: $font-weight-bold;
      letter-spacing: $letter-spacing-heading-3-bold-mobile;
    }
  }

  &:deep(ol) {
    list-style: decimal;
    padding-left: $spacing-24;
  }

  &:deep(ul) {
    list-style: disc;
    padding-left: $spacing-24;
  }

  &:deep(table) {
    border-collapse: collapse;
    width: 100%;
  }

  &:deep(td),
  &:deep(th) {
    border: $border;
    padding: $spacing-8;
    text-align: left;
  }

  &:deep(h2) {
    font-size: $text-heading-2;
    line-height: $line-height-heading-2;
    font-weight: $font-weight-bold;
    letter-spacing: $letter-spacing-heading-2-bold;
    margin-bottom: 24px;
    margin-top: 24px;

    @media (max-width: $breakpoint-sm) {
      font-size: $text-heading-2-mobile;
      line-height: $line-height-heading-2-mobile;
      font-weight: $font-weight-bold;
      letter-spacing: $letter-spacing-heading-2-bold-mobile;
    }
  }

  &:deep(h3) {
    font-size: $text-heading-3;
    line-height: $line-height-heading-3;
    font-weight: $font-weight-bold;
    letter-spacing: $letter-spacing-heading-3-bold;
    margin-bottom: 24px;
    margin-top: 24px;

    @media (max-width: $breakpoint-sm) {
      font-size: $text-heading-3-mobile;
      line-height: $line-height-heading-3-mobile;
      font-weight: $font-weight-bold;
      letter-spacing: $letter-spacing-heading-3-bold-mobile;
    }
  }

  &:deep(h4) {
    font-size: $text-heading-4;
    line-height: $line-height-heading-4;
    font-weight: $font-weight-bold;
    letter-spacing: $letter-spacing-heading-4-bold;
    margin-bottom: 24px;
    margin-top: 24px;

    @media (max-width: $breakpoint-sm) {
      font-size: $text-heading-4-mobile;
      line-height: $line-height-heading-4-mobile;
      font-weight: $font-weight-bold;
      letter-spacing: $letter-spacing-heading-4-bold-mobile;
    }
  }

  &:deep(h5) {
    font-size: $text-heading-5;
    line-height: $line-height-heading-5;
    font-weight: $font-weight-bold;
    letter-spacing: $letter-spacing-heading-5-bold;
    margin-bottom: 24px;
    margin-top: 24px;

    @media (max-width: $breakpoint-sm) {
      font-size: $text-heading-5-mobile;
      line-height: $line-height-heading-5-mobile;
      font-weight: $font-weight-bold;
      letter-spacing: $letter-spacing-heading-5-bold-mobile;
    }
  }

  &:deep(p),
  &:deep(li) {
    margin-bottom: 16px;
    font-size: $text-body-1;
    line-height: $line-height-body-1;
    font-weight: $font-weight-normal;
  }

  &:deep(li) {
    margin-bottom: 8px;

    p,
    a {
      margin-bottom: 0px;
    }
  }

  &:deep(ol),
  &:deep(ul) {
    margin-bottom: 16px;
  }

  &:deep(hr) {
    margin-top: 8px;
    margin-bottom: 8px;
  }

  &:deep(.video_container iframe) {
    width: 100%;
    height: 460px;
    margin-bottom: 24px;
    @media (max-width: $breakpoint-lg) {
      height: 240px;
    }
  }
  &:deep(img) {
    max-width: 100%;
    object-fit: cover;
  }
}

.header-and-text {
  &__highlight {
    font-weight: $font-weight-bold;
  }
  .header {
    margin-bottom: $spacing-24;
  }

  @media (max-width: $breakpoint-md) {
    margin-top: $spacing-64;
    padding-top: 0;
    padding-bottom: 0;

    .header {
      margin-bottom: $spacing-16;
    }

    &__button {
      width: 100%;
      justify-content: center;
    }
  }
}
</style>
